<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>My Project: Reference.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Reference.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_reference_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef REFERENCE_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define REFERENCE_H_</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacebiblio.html">biblio</a></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="keyword">class </span><a class="code" href="class_reference.html">Reference</a>;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classbiblio_1_1_reference.html">   28</a></span>&#160;<span class="keyword">class </span><a class="code" href="classbiblio_1_1_reference.html">biblio::Reference</a></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;{</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <a class="code" href="classbiblio_1_1_reference.html">Reference</a>(std::string,std::string, <span class="keywordtype">int</span>, std::string);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordtype">int</span> <a class="code" href="classbiblio_1_1_reference.html#ab5c840fd76af068cb5884d8bc2f67215">reqAnnee</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    std::string <a class="code" href="classbiblio_1_1_reference.html#a8583ba7a8b425440203fbde7137c4bcf">reqAuteurs</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    std::string <a class="code" href="classbiblio_1_1_reference.html#ae821d04e4a8bc43a30f7fc291a6c8cda">reqIdentifiant</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    std::string <a class="code" href="classbiblio_1_1_reference.html#a89d65431619ccc68928ddf1c2248c25d">reqTitre</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    std::string <a class="code" href="classbiblio_1_1_reference.html#a1af43588113e9fb050dca4b57f74823d">reqReferenceFormate</a>();</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classbiblio_1_1_reference.html#a569046e891e20ddb0d2b6d46667f5559">asgAuteurs</a>(<span class="keyword">const</span> std::string&amp; p_auteurs);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classbiblio_1_1_reference.html#a7c585e4059b2f0b6ff7fdab04b72149d">operator==</a>(<a class="code" href="classbiblio_1_1_reference.html">Reference</a> autreReference) <span class="keyword">const</span>;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">int</span> m_annee;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    std::string m_auteurs;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    std::string m_identifiant;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    std::string m_titre;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;};</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* REFERENCE_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="namespacebiblio_html"><div class="ttname"><a href="namespacebiblio.html">biblio</a></div><div class="ttdef"><b>Definition:</b> Reference.cpp:14</div></div>
<div class="ttc" id="classbiblio_1_1_reference_html"><div class="ttname"><a href="classbiblio_1_1_reference.html">biblio::Reference</a></div><div class="ttdef"><b>Definition:</b> Reference.h:28</div></div>
<div class="ttc" id="classbiblio_1_1_reference_html_ab5c840fd76af068cb5884d8bc2f67215"><div class="ttname"><a href="classbiblio_1_1_reference.html#ab5c840fd76af068cb5884d8bc2f67215">biblio::Reference::reqAnnee</a></div><div class="ttdeci">int reqAnnee() const </div><div class="ttdoc">Methode d&amp;#39;acces en lecture à l&amp;#39;attribut m_annee. </div><div class="ttdef"><b>Definition:</b> Reference.cpp:31</div></div>
<div class="ttc" id="class_reference_html"><div class="ttname"><a href="class_reference.html">Reference</a></div><div class="ttdoc">Classe implantant le concept de references bibliographiques Attributs: int m_annee: annee d&amp;#39;edition d...</div></div>
<div class="ttc" id="classbiblio_1_1_reference_html_a1af43588113e9fb050dca4b57f74823d"><div class="ttname"><a href="classbiblio_1_1_reference.html#a1af43588113e9fb050dca4b57f74823d">biblio::Reference::reqReferenceFormate</a></div><div class="ttdeci">std::string reqReferenceFormate()</div><div class="ttdoc">Methode permettant de formater la reference selon ses attributs. </div><div class="ttdef"><b>Definition:</b> Reference.cpp:75</div></div>
<div class="ttc" id="classbiblio_1_1_reference_html_a569046e891e20ddb0d2b6d46667f5559"><div class="ttname"><a href="classbiblio_1_1_reference.html#a569046e891e20ddb0d2b6d46667f5559">biblio::Reference::asgAuteurs</a></div><div class="ttdeci">void asgAuteurs(const std::string &amp;p_auteurs)</div><div class="ttdoc">Methode peermettant de modifier les auteurs d&amp;#39;une reference. </div><div class="ttdef"><b>Definition:</b> Reference.cpp:91</div></div>
<div class="ttc" id="classbiblio_1_1_reference_html_ae821d04e4a8bc43a30f7fc291a6c8cda"><div class="ttname"><a href="classbiblio_1_1_reference.html#ae821d04e4a8bc43a30f7fc291a6c8cda">biblio::Reference::reqIdentifiant</a></div><div class="ttdeci">std::string reqIdentifiant() const </div><div class="ttdoc">Methode d&amp;#39;acces en lecture à l&amp;#39;attribut m_identifiant. </div><div class="ttdef"><b>Definition:</b> Reference.cpp:53</div></div>
<div class="ttc" id="classbiblio_1_1_reference_html_a89d65431619ccc68928ddf1c2248c25d"><div class="ttname"><a href="classbiblio_1_1_reference.html#a89d65431619ccc68928ddf1c2248c25d">biblio::Reference::reqTitre</a></div><div class="ttdeci">std::string reqTitre() const </div><div class="ttdoc">Methode d&amp;#39;acces en lecture à l&amp;#39;attribut m_titre. </div><div class="ttdef"><b>Definition:</b> Reference.cpp:64</div></div>
<div class="ttc" id="classbiblio_1_1_reference_html_a7c585e4059b2f0b6ff7fdab04b72149d"><div class="ttname"><a href="classbiblio_1_1_reference.html#a7c585e4059b2f0b6ff7fdab04b72149d">biblio::Reference::operator==</a></div><div class="ttdeci">bool operator==(Reference autreReference) const </div><div class="ttdoc">Surcharge de l&amp;#39;operateur &quot;==&quot; pour comparer deux objets Reference. </div><div class="ttdef"><b>Definition:</b> Reference.cpp:102</div></div>
<div class="ttc" id="classbiblio_1_1_reference_html_a8583ba7a8b425440203fbde7137c4bcf"><div class="ttname"><a href="classbiblio_1_1_reference.html#a8583ba7a8b425440203fbde7137c4bcf">biblio::Reference::reqAuteurs</a></div><div class="ttdeci">std::string reqAuteurs() const </div><div class="ttdoc">Methode d&amp;#39;acces en lecture à l&amp;#39;attribut m_auteurs. </div><div class="ttdef"><b>Definition:</b> Reference.cpp:42</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
